Bug 213169 - Unable to compile glibc-2.5-3.src.rpm for pentium4 architecture
Unable to compile glibc-2.5-3.src.rpm for pentium4 architecture
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-30 20:21 EST by Robert Thomas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-31 02:06:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Thomas 2006-10-30 20:21:42 EST
Description of problem:

Unable to compile glibc-2.5-3.src.rpm for pentium4 architecture.

Version-Release number of selected component (if applicable):

2.5-3

How reproducible:

Always

Steps to Reproduce:
1. rpmbuild --rebuild --target pentium4 glibc-2.5-3.src.rpm
2.
3.
  
Actual results:

make -s subdir=crypt -C crypt ..=../ subdir_lib
make[2]: Entering directory `/usr/src/redhat/BUILD/glibc-2.5-20061008T1257/crypt'
mkdir /usr/src/redhat/BUILD/glibc-2.5-20061008T1257/build-i786-linuxnptl/crypt
mkdir /usr/src/redhat/BUILD/glibc-2.5-20061008T1257/build-i786-linuxnptl/crypt
mkdir: cannot create directory
`/usr/src/redhat/BUILD/glibc-2.5-20061008T1257/build-i786-linuxnptl/crypt': File
exists
make[2]: Leaving directory `/usr/src/redhat/BUILD/glibc-2.5-20061008T1257/crypt'
make -s subdir=nptl -C nptl ..=../ subdir_lib
make[2]: Entering directory `/usr/src/redhat/BUILD/glibc-2.5-20061008T1257/nptl'
mkdir /usr/src/redhat/BUILD/glibc-2.5-20061008T1257/build-i786-linuxnptl/nptl
make[2]: Leaving directory `/usr/src/redhat/BUILD/glibc-2.5-20061008T1257/nptl'
make[2]: Entering directory `/usr/src/redhat/BUILD/glibc-2.5-20061008T1257/nptl'
../nptl/sysdeps/pthread/pthread_cond_signal.c: In function '__pthread_cond_signal':
../nptl/sysdeps/pthread/pthread_cond_signal.c:46: warning: implicit declaration
of function 'lll_futex_wake_unlock'
../nptl/sysdeps/pthread/pthread_cond_broadcast.c: In function
'__pthread_cond_broadcast':
../nptl/sysdeps/pthread/pthread_cond_broadcast.c:66: warning: implicit
declaration of function 'lll_futex_requeue'
../nptl/sysdeps/unix/sysv/linux/sem_trywait.c: In function '__new_sem_trywait':
../nptl/sysdeps/unix/sysv/linux/sem_trywait.c:38: warning: implicit declaration
of function 'atomic_decrement_if_positive'
../nptl/sysdeps/unix/sysv/linux/sem_post.c: In function '__new_sem_post':
../nptl/sysdeps/unix/sysv/linux/sem_post.c:34: warning: implicit declaration of
function 'atomic_increment_val'
../nptl/sysdeps/unix/sysv/linux/sem_post.c:35: error: expected expression before
'do'
../nptl/sysdeps/unix/sysv/linux/sem_post.c:34: warning: unused variable 'nr'
make[2]: ***
[/usr/src/redhat/BUILD/glibc-2.5-20061008T1257/build-i786-linuxnptl/nptl/sem_post.os]
Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: Leaving directory `/usr/src/redhat/BUILD/glibc-2.5-20061008T1257/nptl'
make[1]: *** [nptl/subdir_lib] Error 2
make[1]: Leaving directory `/usr/src/redhat/BUILD/glibc-2.5-20061008T1257'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.34540 (%build)


Expected results:

Compile and build binary rpm for pentium4 architecture.

Additional info:
Comment 1 Jakub Jelinek 2006-10-31 02:06:08 EST
Then don't do it?  Building the standard i686 glibc is all you need for best
performance on pentium4, glibc itself doesn't support i786-*-linux target.
Comment 2 Robert Thomas 2006-10-31 04:04:05 EST
The i786 target was something I made up to test the packaging, so you can ignore
that.  The error message is the same when using pentium4-*-linux target.

I was being courteous by reporting the issue.  I don't need supercilious replies
from a packager.

Note You need to log in before you can comment on or make changes to this bug.